Product comparison · 2 network switches

Allied Telesis AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey vs HP OfficeConnect 1920 48G PoE+ (370W)

Add a product
  • 30specifications compared
  • 10differ
  • 20identical
  • 42known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:20
    • OfficeConnect 1920 48G PoE+ (370W):48
  • Installed SFP modules quantity
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:0
    • OfficeConnect 1920 48G PoE+ (370W):4
  • MAC address table
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:8000 entries
    • OfficeConnect 1920 48G PoE+ (370W):16384 entries
  • Switching capacity
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:11.2 Gbit/s
    • OfficeConnect 1920 48G PoE+ (370W):104 Gbit/s
  • Power over Ethernet (PoE)
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:No
    • OfficeConnect 1920 48G PoE+ (370W):Yes
  • Width
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:330 mm
    • OfficeConnect 1920 48G PoE+ (370W):440 mm
  • Depth
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:180 mm
    • OfficeConnect 1920 48G PoE+ (370W):440 mm
  • Weight
    • AT-FS750/20-50 Managed Fast Ethernet (10/100) 1U Grey:2.2 kg
    • OfficeConnect 1920 48G PoE+ (370W):4.3 kg

Side by side

Differences highlightedShow differences only (on)
Comparison of AT-FS750/20-50, OfficeConnect 1920 48G PoE+ (370W)
72 specifications
Management featuresidentical
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
System event logKnown for oneYesUnknown — not stated by the source
MIB supportKnown for oneRFC 1213 MIB-II, RFC 1643 Ethernet MIB, RFC 1493 Bridge MIB, RFC 2131 DHCP client, Private Enterprise MIBUnknown — not stated by the source
Switch layerKnown for oneUnknown — not stated by the sourceL3
Ports & interfaces3 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2048
Basic switching RJ-45 Ethernet ports typeDiffersFast Ethernet (10/100)Gigabit Ethernet (10/100/1000)
Fast Ethernet (copper) ports quantityKnown for one16Unknown — not stated by the source
Gigabit Ethernet (copper) ports quantityKnown for one2Unknown — not stated by the source
Installed SFP modules quantityDiffers04
Combo SFP ports quantityKnown for one2Unknown — not stated by the source
Network1 differ
Networking standardsDiffersIEEE 802.11d, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3zIEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3u, IEEE 802.3z
Broadcast storm controlKnown for oneYesUnknown — not stated by the source
Head-of-line (HOL) blockingKnown for oneYesUnknown — not stated by the source
Virtual LAN featuresKnown for oneTagged VLAN, Port-based VLANUnknown — not stated by the source
Auto MDI/MDI-XKnown for oneUnknown — not stated by the sourceYes
Auto-sensingKnown for oneUnknown — not stated by the sourceYes
VLAN supportKnown for oneUnknown — not stated by the sourceYes
Data transmission2 differ
MAC address tableDiffers8000 entries16384 entries
Switching capacityDiffers11.2 Gbit/s104 Gbit/s
Number of queuesKnown for one4Unknown — not stated by the source
Packet forwarding rate (1 Gbps)Known for one1488000 ppsUnknown — not stated by the source
Packet forwarding rate (10 Mbps)Known for one14880 ppsUnknown — not stated by the source
Packet forwarding rate (100 Mbps)Known for one148800 ppsUnknown — not stated by the source
ThroughputKnown for oneUnknown — not stated by the source77.4 Mpps
Latency (10-100 Mbps)Known for oneUnknown — not stated by the source5 µs
Latency (1 Gbps)Known for oneUnknown — not stated by the source5 µs
Packet buffer memoryKnown for oneUnknown — not stated by the source12 MB
Securityidentical
AuthenticationKnown for oneMAC-based authenticationUnknown — not stated by the source
MAC address filteringKnown for oneYesUnknown — not stated by the source
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Multicast featuresidentical
Multicast supportKnown for oneYesUnknown — not stated by the source
Number of multicast groups filteredKnown for one256Unknown — not stated by the source
Protocolsidentical
Management protocolsKnown for oneFTP, HTTP, SNMPv1/v2c/v3, SNTPUnknown — not stated by the source
Designidentical
StackableKnown for oneUnknown — not stated by the sourceYes
Poweridentical
Power consumption (max)Known for one7.6 WUnknown — not stated by the source
Power consumption (typical)Known for oneUnknown — not stated by the source492 W
Power over Ethernet (PoE)1 differ
Power over Ethernet (PoE)DiffersNoYes
Total Power over Ethernet (PoE) budgetKnown for oneUnknown — not stated by the source370 W
Operational conditionsidentical
Storage temperature (T-T)Known for oneUnknown — not stated by the source-40 - 70 °C
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source15 - 95%
Weight & dimensions3 differ
WidthDiffers330 mm440 mm
DepthDiffers180 mm440 mm
WeightDiffers2.2 kg4.3 kg
Packaging contentidentical
Cables includedKnown for oneACUnknown — not stated by the source
Logistics dataidentical
Harmonized System (HS) codeKnown for one85176990Unknown — not stated by the source
Optical fiberidentical
Fiber ethernet cabling technologyKnown for oneUnknown — not stated by the source100BASE-FX, 1000BASE-FX
Performanceidentical
Built-in processorKnown for oneUnknown — not stated by the sourceYes
Processor frequencyKnown for oneUnknown — not stated by the source650 MHz
Memory typeKnown for oneUnknown — not stated by the sourceSDRAM
Internal memoryKnown for oneUnknown — not stated by the source128 MB
Flash memoryKnown for oneUnknown — not stated by the source32 MB

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons